Capital Rx Adjudication API (1.0.0)

Download OpenAPI specification:Download

API Usage Guide

API Keys

A CapitalRx API key consists of 2 parts, a public and a private access key. The public access key is used as part of your request to identify who is making the request, and is not necessarily secret. The private access key is secret and is used to generate the HMAC signature to authenticate requests.

API Keys expire 365 days from the date of creation, and any one identity can only have two (2) active API key pairs at any given moment, to allow for seamless key rotation.

Public Access Keys start with CRX and are always all caps.

Private Access Keys are random strings 58 characters long.

Example Public Access Key:

  • CRXEXAMPLEAWJOBLF0WB

Example Private Access Key:

  • d53mcLIawexample7nPv4example2nqP1c9SexampleRXLvexample35Ng

Required Headers

The following headers are required or your request will be rejected, even if it contains a valid signature.

  • Content-Type (application/json)
  • User-Agent
  • Host
  • X-CRX-ACCESS-KEY
  • X-CRX-SIGNATURE
  • X-CRX-TIMESTAMP

All requests should have a Content-Type of application/json and contain a request body with valid json. Even a request that supplies no information should send an empty object {}

Signatures

Requests are signed with an HMAC-SHA256 signature using the private access key. The canonical request needs to be hashed using this algorithm, and the resulting HMAC placed into the X-CRX-SIGNATURE header of the request.

The canonical request is defined as these 4 elements concatenated together:

  • The UNIX timestamp of the request (the same value as the X-CRX-TIMESTAMP header)
  • The request method (all uppercase, i.e. "POST")
  • The path of the request (without the base URL, i.e. "/claim/list")
  • The content of the request body

An example of a canonical request would be:

POST https://adjudication-sts.staging-cap-rx.com/claim/list

1709242510POST/claim/list{}

Examples

Below is a Python3 example of an authenticated API call to list claims visible to the user calling the endpoint. Your user must have the appropriate permissions granted to call the endpoint, and if allowed to make the call, must have access to some data in order to not get an empty response.

Authenticated API Call

List Claims:

import hmac
import requests
import time
from requests.auth import AuthBase

class CapitalRxApiAuth(AuthBase):

   def __init__(self, access_key, secret_key):
       self.access_key = access_key
       self.secret_key = secret_key

   def __call__(self, request):
       timestamp = str(int(time.time()))
       canonical_request = timestamp + request.method + request.path_url + (request.body.decode("UTF-8") or '')
       signature = hmac.new(self.secret_key.encode("UTF-8"), canonical_request.encode("UTF-8"), 'sha256').hexdigest()

       request.headers.update({
           'X-CRX-TIMESTAMP': timestamp,
           'X-CRX-ACCESS-KEY': self.access_key,
           'X-CRX-SIGNATURE': signature,
       })

       return request

ACCESS_KEY = ""
SECRET_KEY = ""
auth = CapitalRxApiAuth(ACCESS_KEY, SECRET_KEY)

api_url = "https://adjudication-sts.staging-cap-rx.com/claim/list" # or any other endpoint you want to hit.
payload = {}

r = requests.post(
    url=api_url,
    auth=auth,
    json=payload,
    headers={
        "Content-Type": "application/json",
        "User-Agent": "apiexample/1.0",
    },
)

print(r.content)

Unauthenticated API Call (Advantage)

List Drug (search):

import requests
import json

r = requests.post(
    url="https://advantage-api.cap-rx.com/drug/list",
    json={
        "search": "ibuprofen",
        "page_number": 2,
    },
    headers={
        "Content-Type": "application/json",
        "User-Agent": "apiexample/1.0",
    },
)

print(json.dumps(r.json(), indent=2))

Common Issues

Timestamp has Expired

Requests are only valid within 5 minutes of the timestamp in the X-CRX-TIMESTAMP header. If more than 5 minutes has elapsed since the request was signed, it will be rejected as expired.

User-Agent header is missing

The User-Agent header is required. If not present in the request, it can appear as a failure to authenticate, despite a valid signature being included.

Accumulation Configuration

/accumulation_configuration/create

Create an Accumulation Configuration.

Request Body schema: application/json
rn
string or null
parser_name
required
string
description
string or null
config
any or null
bucket_pattern
required
string

Regex pattern for matching on the bucket. Example: '^example-bucket$

key_pattern
required
string

Regex pattern for matching on the key. Example: '^/uploads/[0-9]{8}_[0-9]{6}$'

plan_ids
required
Array of integers or null <int32>
status_report_output_dir
string or null

Directory to upload output status report of load. Example: 'vendor/output/'

client_ids
Array of strings or null
status
string
Enum: "active" "inactive"
event_handler_type
required
string
Enum: "lambda" "batch"
event_handler_is_enabled
required
boolean
event_handler_effective_date
required
string or null <ArrowDateTime>
event_handler_termination_date
required
string or null <ArrowDateTime>

Responses

Request samples

Content type
application/json
{
  • "rn": "string",
  • "parser_name": "string",
  • "description": "string",
  • "config": null,
  • "bucket_pattern": "string",
  • "key_pattern": "string",
  • "plan_ids": [
    ],
  • "status_report_output_dir": "string",
  • "client_ids": [
    ],
  • "status": "active",
  • "event_handler_type": "lambda",
  • "event_handler_is_enabled": true,
  • "event_handler_effective_date": "string",
  • "event_handler_termination_date": "string"
}

Response samples

Content type
application/json
{
  • "rn": "string",
  • "parser_mapping_id": 0,
  • "parser_name": "string",
  • "description": "string",
  • "config": null,
  • "bucket_pattern": "string",
  • "key_pattern": "string",
  • "plan_ids": [
    ],
  • "status_report_output_dir": "string",
  • "client_ids": [
    ],
  • "status": "active",
  • "event_handler_type": "lambda",
  • "event_handler_is_enabled": true,
  • "event_handler_effective_date": "string",
  • "event_handler_termination_date": "string"
}

/accumulation_configuration/get

Get an Accumulation Configuration.

Request Body schema: application/json
parser_mapping_id
integer <int32>

Responses

Request samples

Content type
application/json
{
  • "parser_mapping_id": 0
}

Response samples

Content type
application/json
{
  • "rn": "string",
  • "parser_mapping_id": 0,
  • "parser_name": "string",
  • "description": "string",
  • "config": null,
  • "bucket_pattern": "string",
  • "key_pattern": "string",
  • "plan_ids": [
    ],
  • "status_report_output_dir": "string",
  • "client_ids": [
    ],
  • "status": "active",
  • "event_handler_type": "lambda",
  • "event_handler_is_enabled": true,
  • "event_handler_effective_date": "string",
  • "event_handler_termination_date": "string"
}

/accumulation_configuration/list

List Accumulation Configurations.

Request Body schema: application/json
page_number
integer or null <int32>

The page of results you would like to get. For the first page, pass 1.

results_per_page
integer or null <int32>

The number of results per page.

expected_fields
Array of strings or null or null

The desired list of fields to be returned.

parser_mapping_id
integer or null <int32>
parser_name
string or null
bucket_pattern
string or null
key_pattern
string or null
plan_ids
Array of integers or null <int32>
client_ids
Array of strings or null
status
string
Enum: "active" "inactive"
description
string or null
event_handler_type
string or null
event_handler_is_enabled
boolean or null
event_handler_effective_date
string or null <ArrowDateTime>
event_handler_termination_date
string or null <ArrowDateTime>
Array of objects or null (OrderBySchema_1764643208.3418279)

Responses

Request samples

Content type
application/json
{
  • "page_number": 0,
  • "results_per_page": 0,
  • "expected_fields": [
    ],
  • "parser_mapping_id": 0,
  • "parser_name": "string",
  • "bucket_pattern": "string",
  • "key_pattern": "string",
  • "plan_ids": [
    ],
  • "client_ids": [
    ],
  • "status": "active",
  • "description": "string",
  • "event_handler_type": "string",
  • "event_handler_is_enabled": true,
  • "event_handler_effective_date": "string",
  • "event_handler_termination_date": "string",
  • "order_by": [
    ]
}

Response samples

Content type
application/json
{
  • "results": [
    ],
  • "result_count": "string"
}

/accumulation_configuration/run

Manually initiates the load of an accumulations file.

Request Body schema: application/json
parser_mapping_id
integer or null <int32>

The id of the accumulation configuration used as a base for the load, which may be overridden by other fields

inbound_bucket
required
string

S3 bucket of the accumulations file to be loaded

inbound_key
required
string

S3 key of the accumulations file to be loaded

commit_data
required
boolean

Whether the results of the file load will be committed to the database. When false, reports are generated without commiting changes.

override_report_status_folder
string

When present, overrides the status_report_output_dir of the base accumulation configuration for this load.

override_parser_mapping
string

When present, overrides the parser of the base accumulation configuration for this load.

override_parser_config
any or null

When present, overrides the config object passed to the parser when processing this load.

override_plans_mapping
Array of integers <int32> [ items <int32 > ]

When present, overrides the file_plan_mapping_id of the base accumulation configuration for this load.

override_event_handler_type
string
Enum: "batch" "lambda"

When present, overrides the event_handler_type of the base accumulation configuration for this load.

manual_note
string or null

A user-provided note describing details of the load.

Responses

Request samples

Content type
application/json
{
  • "parser_mapping_id": 0,
  • "inbound_bucket": "string",
  • "inbound_key": "string",
  • "commit_data": true,
  • "override_report_status_folder": "string",
  • "override_parser_mapping": "string",
  • "override_parser_config": null,
  • "override_plans_mapping": [
    ],
  • "override_event_handler_type": "batch",
  • "manual_note": "string"
}

Response samples

Content type
application/json
{
  • "message": "string"
}

/accumulation_configuration/update

Update an Accumulation Configuration.

Request Body schema: application/json
rn
string or null
parser_mapping_id
integer <int32>
parser_name
string
description
string or null
config
any or null
bucket_pattern
string

Regex pattern for matching on the bucket. Example: '^example-bucket$

key_pattern
string

Regex pattern for matching on the key. Example: '^/uploads/[0-9]{8}_[0-9]{6}$'

plan_ids
Array of integers or null <int32>
status_report_output_dir
string or null

Directory to upload output status report of load. Example: 'vendor/output/'

client_ids
Array of strings or null
status
string
Enum: "active" "inactive"
event_handler_type
string
Enum: "lambda" "batch"
event_handler_is_enabled
boolean
event_handler_effective_date
string or null <ArrowDateTime>
event_handler_termination_date
string or null <ArrowDateTime>

Responses

Request samples

Content type
application/json
{
  • "rn": "string",
  • "parser_mapping_id": 0,
  • "parser_name": "string",
  • "description": "string",
  • "config": null,
  • "bucket_pattern": "string",
  • "key_pattern": "string",
  • "plan_ids": [
    ],
  • "status_report_output_dir": "string",
  • "client_ids": [
    ],
  • "status": "active",
  • "event_handler_type": "lambda",
  • "event_handler_is_enabled": true,
  • "event_handler_effective_date": "string",
  • "event_handler_termination_date": "string"
}

Response samples

Content type
application/json
{
  • "rn": "string",
  • "parser_mapping_id": 0,
  • "parser_name": "string",
  • "description": "string",
  • "config": null,
  • "bucket_pattern": "string",
  • "key_pattern": "string",
  • "plan_ids": [
    ],
  • "status_report_output_dir": "string",
  • "client_ids": [
    ],
  • "status": "active",
  • "event_handler_type": "lambda",
  • "event_handler_is_enabled": true,
  • "event_handler_effective_date": "string",
  • "event_handler_termination_date": "string"
}

/accumulation_configuration/url_for_upload

Request Body schema: application/json
filename
required
string

Responses

Request samples

Content type
application/json
{
  • "filename": "string"
}

Response samples

Content type
application/json
{
  • "bucket": "string",
  • "key": "string",
  • "post": {
    }
}

Accumulation Transaction Data

/accumulation_transaction_data/get

Get an Accumulation Transaction Datum.

Request Body schema: application/json
id
required
integer or null <int32>

Responses

Request samples

Content type
application/json
{
  • "id": 0
}

Response samples

Content type
application/json
{
  • "result_count": "string",
  • "results": [
    ]
}

/accumulation_transaction_data/list

List Accumulation Transaction Data.

Request Body schema: application/json
page_number
integer or null <int32>

The page of results you would like to get. For the first page, pass 1.

results_per_page
integer or null <int32>

The number of results per page.

expected_fields
Array of strings or null or null

The desired list of fields to be returned.

id
integer <int32>
created_at
string <ArrowDateTime>
status
string
status_detail
string
transaction_id
string
data
string
source_bucket
string
source_key
string
processor
string
processed_at
string <ArrowDateTime>
override_client_id
string
override_external_member_id
string
override_person_code
string
override_external_account_id
string
override_external_group_id
string
edited_by
string
edited_at
string <ArrowDateTime>
accumulation_transaction_record_id
integer <int32>
accumulation_transaction_created_at
string <ArrowDateTime>
client_id
string
external_member_id
string
person_code
string
accumulation_type
string
accumulation_amount
string
date_of_service
string <ArrowDateTime>
Array of objects or null (OrderBySchema_1764643208.3495839)

Responses

Request samples

Content type
application/json
{
  • "page_number": 0,
  • "results_per_page": 0,
  • "expected_fields": [
    ],
  • "id": 0,
  • "created_at": "string",
  • "status": "string",
  • "status_detail": "string",
  • "transaction_id": "string",
  • "data": "string",
  • "source_bucket": "string",
  • "source_key": "string",
  • "processor": "string",
  • "processed_at": "string",
  • "override_client_id": "string",
  • "override_external_member_id": "string",
  • "override_person_code": "string",
  • "override_external_account_id": "string",
  • "override_external_group_id": "string",
  • "edited_by": "string",
  • "edited_at": "string",
  • "accumulation_transaction_record_id": 0,
  • "accumulation_transaction_created_at": "string",
  • "client_id": "string",
  • "external_member_id": "string",
  • "person_code": "string",
  • "accumulation_type": "string",
  • "accumulation_amount": "string",
  • "date_of_service": "string",
  • "order_by": [
    ]
}

Response samples

Content type
application/json
{
  • "result_count": "string",
  • "results": [
    ]
}

/accumulation_transaction_data/recycle

Request Body schema: application/json
required
Array of objects or null (ProcessorSchema_1764643208.352214)

Responses

Request samples

Content type
application/json
{
  • "processors": [
    ]
}

Response samples

Content type
application/json
{
  • "message": "string"
}

/accumulation_transaction_data/update

Update an Accumulation Transaction Datum.

Request Body schema: application/json
id
required
integer or null <int32>
created_at
string or null <ArrowDateTime>
status
string or null
status_detail
string or null
transaction_id
string or null
data
string or null
source_bucket
string or null
source_key
string or null
processor
string or null
processed_at
Array of strings or null
processed_at_count
integer or null <int32>
processed_at_max
string or null
override_client_id
string or null
override_external_member_id
string or null
override_person_code
string or null
override_external_account_id
string or null
override_external_group_id
string or null
edited_by
string or null
edited_at
string or null <ArrowDateTime>
rn
string or null
accumulation_transaction_record_id
integer or null <int32>
accumulation_transaction_created_at
string or null <ArrowDateTime>
client_id
string or null
external_member_id
string or null
person_code
string or null
date_of_service
string or null <ArrowDateTime>
accumulation_type
string or null
last_processed_at
string or null <ArrowDateTime>
accumulated_amount
number or null

Responses

Request samples

Content type
application/json
{
  • "id": 0,
  • "created_at": "string",
  • "status": "string",
  • "status_detail": "string",
  • "transaction_id": "string",
  • "data": "string",
  • "source_bucket": "string",
  • "source_key": "string",
  • "processor": "string",
  • "processed_at": [
    ],
  • "processed_at_count": 0,
  • "processed_at_max": "string",
  • "override_client_id": "string",
  • "override_external_member_id": "string",
  • "override_person_code": "string",
  • "override_external_account_id": "string",
  • "override_external_group_id": "string",
  • "edited_by": "string",
  • "edited_at": "string",
  • "rn": "string",
  • "accumulation_transaction_record_id": 0,
  • "accumulation_transaction_created_at": "string",
  • "client_id": "string",
  • "external_member_id": "string",
  • "person_code": "string",
  • "date_of_service": "string",
  • "accumulation_type": "string",
  • "last_processed_at": "string",
  • "accumulated_amount": 0
}

Response samples

Content type
application/json
{
  • "id": 0,
  • "created_at": "string",
  • "status": "string",
  • "status_detail": "string",
  • "transaction_id": "string",
  • "data": "string",
  • "source_bucket": "string",
  • "source_key": "string",
  • "processor": "string",
  • "processed_at": [
    ],
  • "processed_at_count": 0,
  • "processed_at_max": "string",
  • "override_client_id": "string",
  • "override_external_member_id": "string",
  • "override_person_code": "string",
  • "override_external_account_id": "string",
  • "override_external_group_id": "string",
  • "edited_by": "string",
  • "edited_at": "string",
  • "rn": "string",
  • "accumulation_transaction_record_id": 0,
  • "accumulation_transaction_created_at": "string",
  • "client_id": "string",
  • "external_member_id": "string",
  • "person_code": "string",
  • "date_of_service": "string",
  • "accumulation_type": "string",
  • "last_processed_at": "string",
  • "accumulated_amount": 0
}

Accumulation Transaction Record

/accumulation_transaction_record/create

Create an Accumulation Transaction Record.

Request Body schema: application/json
transmission_id
integer or null <int32>
client_id
string or null
external_member_id
required
string
person_code
required
string
date_of_service
string <ArrowDateTime>
accumulation_types
required
Array of strings
accumulated_amount
required
number or null

Responses

Request samples

Content type
application/json
{
  • "transmission_id": 0,
  • "client_id": "string",
  • "external_member_id": "string",
  • "person_code": "string",
  • "date_of_service": "string",
  • "accumulation_types": [
    ],
  • "accumulated_amount": 0
}

Response samples

Content type
application/json
{
  • "inserted_ids": [
    ]
}

/accumulation_transaction_record/v2/create

Request Body schema: application/json
transmission_id
integer or null <int32>
client_id
string or null
external_member_id
required
string
person_code
required
string
date_of_service
string <ArrowDateTime>
accumulation_types
required
Array of strings
accumulated_amount
required
number or null
external_account_id
required
string or null
external_group_id
required
string or null

Responses

Request samples

Content type
application/json
{
  • "transmission_id": 0,
  • "client_id": "string",
  • "external_member_id": "string",
  • "person_code": "string",
  • "date_of_service": "string",
  • "accumulation_types": [
    ],
  • "accumulated_amount": 0,
  • "external_account_id": "string",
  • "external_group_id": "string"
}

Response samples

Content type
application/json
{
  • "inserted_ids": [
    ]
}

/accumulation_transaction_record/list

List Accumulation Transaction Records.

Request Body schema: application/json
page_number
integer or null <int32>

The page of results you would like to get. For the first page, pass 1.

results_per_page
integer or null <int32>

The number of results per page.

expected_fields
Array of strings or null or null

The desired list of fields to be returned.

id
integer <int32>
client_id
required
string
external_member_id
required
string
person_code
string
accumulation_transaction_data_id
integer or null <int32>
external_group_id
string or null
external_account_id
string or null
accumulation_type
string or null
created_at
string <ArrowDateTime>
maximum_created_at
string <ArrowDateTime>
minimum_created_at
string <ArrowDateTime>
date_of_service
string <ArrowDateTime>
Array of objects or null (OrderBySchema_1764643208.3577526)

Responses

Request samples

Content type
application/json
{
  • "page_number": 0,
  • "results_per_page": 0,
  • "expected_fields": [
    ],
  • "id": 0,
  • "client_id": "string",
  • "external_member_id": "string",
  • "person_code": "string",
  • "accumulation_transaction_data_id": 0,
  • "external_group_id": "string",
  • "external_account_id": "string",
  • "accumulation_type": "string",
  • "created_at": "string",
  • "maximum_created_at": "string",
  • "minimum_created_at": "string",
  • "date_of_service": "string",
  • "order_by": [
    ]
}

Response samples

Content type
application/json
{
  • "result_count": "string",
  • "results": [
    ]
}

/accumulation_transaction_record/v2/list

Request Body schema: application/json
page_number
integer or null <int32>

The page of results you would like to get. For the first page, pass 1.

results_per_page
integer or null <int32>

The number of results per page.

expected_fields
Array of strings or null or null

The desired list of fields to be returned.

id
integer <int32>
client_id
required
string
external_member_id
required
string
person_code
string
accumulation_transaction_data_id
integer or null <int32>
external_group_id
required
string or null
external_account_id
required
string or null
accumulation_type
string or null
created_at
string <ArrowDateTime>
maximum_created_at
string <ArrowDateTime>
minimum_created_at
string <ArrowDateTime>
date_of_service
string <ArrowDateTime>
Array of objects or null (OrderBySchema_1764643208.3577526)

Responses

Request samples

Content type
application/json
{
  • "page_number": 0,
  • "results_per_page": 0,
  • "expected_fields": [
    ],
  • "id": 0,
  • "client_id": "string",
  • "external_member_id": "string",
  • "person_code": "string",
  • "accumulation_transaction_data_id": 0,
  • "external_group_id": "string",
  • "external_account_id": "string",
  • "accumulation_type": "string",
  • "created_at": "string",
  • "maximum_created_at": "string",
  • "minimum_created_at": "string",
  • "date_of_service": "string",
  • "order_by": [
    ]
}

Response samples

Content type
application/json
{
  • "result_count": "string",
  • "results": [
    ]
}

Accumulation Parser Module

/accumulation_parser_module/get

Get an Accumulation Parser Module.

Request Body schema: application/json
id
integer or null <int32>
name
string or null

Responses

Request samples

Content type
application/json
{
  • "id": 0,
  • "name": "string"
}

Response samples

Content type
application/json
{
  • "id": 0,
  • "name": "string",
  • "description": "string",
  • "created_at": "string",
  • "rn": "string",
  • "supported_fields": null,
  • "supported_attributes": null,
  • "supported_functions": null,
  • "supported_operators": null,
  • "config_template": null
}

/accumulation_parser_module/list

List Accumulation Parser Modules.

Request Body schema: application/json
page_number
integer or null <int32>

The page of results you would like to get. For the first page, pass 1.

results_per_page
integer or null <int32>

The number of results per page.

expected_fields
Array of strings or null or null

The desired list of fields to be returned.

id
integer or null <int32>
name
string or null
description
string or null
Array of objects or null (OrderBySchema_1764643208.3642857)

Responses

Request samples

Content type
application/json
{
  • "page_number": 0,
  • "results_per_page": 0,
  • "expected_fields": [
    ],
  • "id": 0,
  • "name": "string",
  • "description": "string",
  • "order_by": [
    ]
}

Response samples

Content type
application/json
{
  • "results": [
    ],
  • "result_count": "string"
}

Accumulation Reconciliation Execution

/accumulation_reconciliation_execution/get

Get an Accumulation Reconciliation Execution.

Request Body schema: application/json
id
integer or null <int32>

Responses

Request samples

Content type
application/json
{
  • "id": 0
}

Response samples

Content type
application/json
{
  • "id": 0,
  • "client_ids": [
    ],
  • "status": "string",
  • "created_at": "string",
  • "start_time": "string",
  • "end_time": "string",
  • "run_time": 0,
  • "balance_files": null,
  • "oob_report_files": null,
  • "status_files": null,
  • "status_data": null,
  • "error_message": "string"
}

/accumulation_reconciliation_execution/list

List Accumulation Reconciliation Executions.

Request Body schema: application/json
page_number
integer or null <int32>

The page of results you would like to get. For the first page, pass 1.

results_per_page
integer or null <int32>

The number of results per page.

expected_fields
Array of strings or null or null

The desired list of fields to be returned.

status
string or null
client_ids
Array of strings or null

The client IDs used for the accumulations reconciliation

Array of objects or null (OrderBySchema_1764643208.3675807)

Responses

Request samples

Content type
application/json
{
  • "page_number": 0,
  • "results_per_page": 0,
  • "expected_fields": [
    ],
  • "status": "string",
  • "client_ids": [
    ],
  • "order_by": [
    ]
}

Response samples

Content type
application/json
{
  • "results": [
    ],
  • "result_count": "string"
}

/accumulation_reconciliation_execution/url_for_download

Request Body schema: application/json
accumulation_reconciliation_execution_id
required
integer <int32>
bucket
required
string
key
required
string

Responses

Request samples

Content type
application/json
{
  • "accumulation_reconciliation_execution_id": 0,
  • "bucket": "string",
  • "key": "string"
}

Response samples

Content type
application/json
{
  • "url": "string"
}

Adherence Reporting

/adherence_reporting/url_for_upload

Request Body schema: application/json
file_name
required
string

Responses

Request samples

Content type
application/json
{
  • "file_name": "string"
}

Response samples

Content type
application/json
{
  • "file_name": "string",
  • "bucket": "string",
  • "key": "string",
  • "post": {
    }
}

/adherence_reporting/process

Request Body schema: application/json
bucket
required
string
key
required
string
file_name
required
string

Responses

Request samples

Content type
application/json
{
  • "bucket": "string",
  • "key": "string",
  • "file_name": "string"
}

Response samples

Content type
application/json
{
  • "message": "string"
}

Ai

/ai/list_endpoints

List all AI endpoints for this service.

:return: List of AI endpoints, their descriptions and schemas.

Request Body schema: application/json
object (EmptySchema_1764643208.581072)

Responses

Request samples

Content type
application/json
{ }

Response samples

Content type
application/json
{
  • "endpoints": [
    ]
}

/ai/database/get_sqlalchemy_model_codes

Get the SQLAlchemy code for the given model names in the given database. If the model name starts with "fdw.", it will be considered as a foreign data wrapper model.

:return: The SQLAlchemy code for the given models

Request Body schema: application/json
model_names
required
Array of strings

List of SQLAlchemy models.

Responses

Request samples

Content type
application/json
{
  • "model_names": [
    ]
}

Response samples

Content type
application/json
{
  • "model_codes": [
    ]
}

/ai/database/list_sqlalchemy_models

List the SQLAlchemy models for the given database.

:return: List of model names, their descriptions and sample data. Some columns in sample data might be omitted for brevity.

Request Body schema: application/json
object (EmptySchema_1764643208.581072)

Responses

Request samples

Content type
application/json
{ }

Response samples

Content type
application/json
{
  • "models": {
    }
}

/ai/database/query

Query the database with the given SQLAlchemy 2.0 query.

:param: query: The SQLAlchemy 2.0 query :return: The query results

Request Body schema: application/json
query
required
string

SQLAlchemy 2.0 query in select(...).. form.

Responses

Request samples

Content type
application/json
{
  • "query": "string"
}

Response samples

Content type
application/json
{
  • "results": [
    ]
}

Claim Adjustments

/claim_adjustments/create

Create a Claim Adjustment.

Request Body schema: application/json
type
required
string
Enum: "encounter" "pde"
claim_id
required
integer <int32>
adjustments
required
any

Responses

Request samples

Content type
application/json
{
  • "type": "encounter",
  • "claim_id": 0,
  • "adjustments": null
}

Response samples

Content type
application/json
{
  • "id": 0,
  • "type": "encounter",
  • "claim_id": 0,
  • "adjustments": null
}

/claim_adjustments/delete

Request Body schema: application/json
type
required
string
Enum: "encounter" "pde"
ids
required
Array of numbers

Claim adjustmet IDs

Responses

Request samples

Content type
application/json
{
  • "type": "encounter",
  • "ids": [
    ]
}

Response samples

Content type
application/json
{
  • "message": "string"
}

/claim_adjustments/get

Get a Claim Adjustment.

Request Body schema: application/json
id
required
integer <int32>
type
required
string
Enum: "encounter" "pde"

Responses

Request samples

Content type
application/json
{
  • "id": 0,
  • "type": "encounter"
}

Response samples

Content type
application/json
{
  • "id": 0,
  • "type": "encounter",
  • "claim_id": 0,
  • "adjustments": null
}

/claim_adjustments/list

List Claim Adjustments.

Request Body schema: application/json
page_number
integer or null <int32>

The page of results you would like to get. For the first page, pass 1.

results_per_page
integer or null <int32>

The number of results per page.

expected_fields
Array of strings or null or null

The desired list of fields to be returned.

id
integer <int32>
type
string
Enum: "encounter" "pde"
claim_id
integer <int32>
adjustments
string
Array of objects or null (ClaimAdjustmentsOrderBySchema_1764643208.378516)

Responses

Request samples

Content type
application/json
{
  • "page_number": 0,
  • "results_per_page": 0,
  • "expected_fields": [
    ],
  • "id": 0,
  • "type": "encounter",
  • "claim_id": 0,
  • "adjustments": "string",
  • "order_by": [
    ]
}

Response samples

Content type
application/json
{
  • "results": [
    ],
  • "result_count": "string"
}

/claim_adjustments/update

Update a Claim Adjustment.

Request Body schema: application/json
id
required
integer <int32>
type
required
string
Enum: "encounter" "pde"
claim_id
integer <int32>
adjustments
required
any

Responses

Request samples

Content type
application/json
{
  • "id": 0,
  • "type": "encounter",
  • "claim_id": 0,
  • "adjustments": null
}

Response samples

Content type
application/json
{
  • "id": 0,
  • "type": "encounter",
  • "claim_id": 0,
  • "adjustments": null
}

/claim_adjustments/url_for_upload

Request Body schema: application/json
original_name
required
string

Responses

Request samples

Content type
application/json
{
  • "original_name": "string"
}

Response samples

Content type
application/json
{
  • "bucket": "string",
  • "key": "string",
  • "post": {
    }
}

Claim

/claim/bulk_compare

Request Body schema: application/json
claim_ids
required
Array of integers <int32> [ items <int32 > ]

Responses

Request samples

Content type
application/json
{
  • "claim_ids": [
    ]
}

Response samples

Content type
application/json
{
  • "url": "string"
}

/claim/compare

Request Body schema: application/json
claim_id_1
required
integer <int32>
claim_id_2
required
integer <int32>

Responses

Request samples

Content type
application/json
{
  • "claim_id_1": 0,
  • "claim_id_2": 0
}

Response samples

Content type
application/json
{
  • "compare_result": [
    ]
}

/claim/get

Get a Claim.

Request Body schema: application/json
id
required
integer <int32>
client_id
string or null
external_account_id
string or null
external_group_id
string or null
external_member_id
string or null
person_code
string or null
include_raw_request_parsed
boolean or null
include_raw_response_parsed
boolean or null

Responses

Request samples

Content type
application/json
{
  • "id": 0,
  • "client_id": "string",
  • "external_account_id": "string",
  • "external_group_id": "string",
  • "external_member_id": "string",
  • "person_code": "string",
  • "include_raw_request_parsed": true,
  • "include_raw_response_parsed": true
}

Response samples

Content type
application/json
{
  • "id": 0,
  • "rn": "string",
  • "reversal_id": 0,
  • "reverses_id": 0,
  • "original_claim_id": 0,
  • "client_id": "string",
  • "external_account_id": "string",
  • "external_group_id": "string",
  • "provider_agreement_id": 0,
  • "coverage_strategy_id": "string",
  • "date_of_service": "string",
  • "claim_submission_date": "string",
  • "claim_payment_cycle_end_date": "string",
  • "claim_reimbursement_cycle_end_date": "string",
  • "claim_status": "string",
  • "claim_count": 0,
  • "received_at": "string",
  • "source": "string",
  • "external_member_id": "string",
  • "person_code": "string",
  • "first_name": "string",
  • "last_name": "string",
  • "coverage_strategy_type": "string",
  • "plan_benefit_id": 0,
  • "formulary_id": 0,
  • "network_id": 0,
  • "benefit_network": "string",
  • "gpi": "string",
  • "pharmacy_nabp": "string",
  • "pharmacy_name": "string",
  • "pharmacy_channel": "string",
  • "version_release_number": "string",
  • "request_transaction_code": "string",
  • "bin_number": "string",
  • "processor_control_number": "string",
  • "transaction_count": "string",
  • "service_provider_id_qualifier": "string",
  • "service_provider_id": "string",
  • "software_vendor_certification_id": "string",
  • "submitted_cardholder_id": "string",
  • "cardholder_first_name": "string",
  • "cardholder_last_name": "string",
  • "plan_id": "string",
  • "eligibility_clarification_code": "string",
  • "group_id": "string",
  • "submitted_person_code": "string",
  • "patient_relationship_code": "string",
  • "medigap_id": "string",
  • "medicaid_indicator": "string",
  • "provider_accept_assignment_indicator": "string",
  • "cms_part_d_defined_qualified_facility": "string",
  • "medicaid_id_number": "string",
  • "patient_id_qualifier": "string",
  • "patient_id": "string",
  • "date_of_birth": "string",
  • "patient_gender_code": "string",
  • "patient_first_name": "string",
  • "patient_last_name": "string",
  • "patient_street_address": "string",
  • "patient_street_address_line_1": "string",
  • "patient_street_address_line_2": "string",
  • "patient_city_address": "string",
  • "patient_state_province_address": "string",
  • "patient_zip_postal_code": "string",
  • "patient_country_code": "string",
  • "patient_telephone_number": "string",
  • "place_of_service": "string",
  • "employer_id": "string",
  • "pregnancy_indicator": "string",
  • "patient_email_address": "user@example.com",
  • "patient_residence": "string",
  • "prescription_service_reference_number_qualifier": "string",
  • "prescription_service_reference_number": "string",
  • "product_service_id_qualifier": "string",
  • "ndc": "string",
  • "associated_prescription_service_reference_number": "string",
  • "associated_prescription_service_date": "string",
  • "procedure_modifier_code_1": "string",
  • "procedure_modifier_code_2": "string",
  • "procedure_modifier_code_3": "string",
  • "procedure_modifier_code_4": "string",
  • "procedure_modifier_code_5": "string",
  • "procedure_modifier_code_6": "string",
  • "procedure_modifier_code_7": "string",
  • "procedure_modifier_code_8": "string",
  • "procedure_modifier_code_9": "string",
  • "procedure_modifier_code_10": "string",
  • "quantity_dispensed": "string",
  • "fill_number": 0,
  • "days_supply": 0,
  • "compound_code": "string",
  • "daw": "string",
  • "date_prescription_written": "string",
  • "number_of_refills_authorized": 0,
  • "prescription_origin_code": "string",
  • "submission_clarification_code_1": "string",
  • "submission_clarification_code_2": "string",
  • "submission_clarification_code_3": "string",
  • "submission_clarification_code_4": "string",
  • "submission_clarification_code_5": "string",
  • "submission_clarification_code_pde": "string",
  • "submission_type_code_1": "string",
  • "submission_type_code_2": "string",
  • "submission_type_code_3": "string",
  • "submission_type_code_4": "string",
  • "submission_type_code_5": "string",
  • "quantity_prescribed": "string",
  • "multiple_prescription_service_order_group_id": "string",
  • "multiple_prescription_service_order_group_reason_code": "string",
  • "total_prescribed_quantity_remaining": "string",
  • "other_coverage_code": "string",
  • "special_packaging_indicator": "string",
  • "originally_prescribed_product_service_id_qualifier": "string",
  • "originally_prescribed_product_service_code": "string",
  • "originally_prescribed_quantity": "string",
  • "scheduled_prescription_id_number": "string",
  • "unit_of_measure": "string",
  • "level_of_service": "string",
  • "prior_authorization_type_code": "string",
  • "prior_authorization_id_submitted": "string",
  • "dispensing_status": "string",
  • "quantity_intended_to_be_dispensed": "string",
  • "days_supply_intended_to_be_dispensed": 0,
  • "delay_reason_code": "string",
  • "patient_assignment_indicator": "string",
  • "route_of_administration": "string",
  • "compound_type": "string",
  • "preparation_environment_type": "string",
  • "preparation_environment_event_code": "string",
  • "pharmacy_service_type": "string",
  • "associated_prescription_service_reference_number_qualifier": "string",
  • "associated_prescription_service_fill_number": 0,
  • "original_manufacturer_product_id_qualifier": "string",
  • "original_manufacturer_product_id": "string",
  • "ltpac_dispense_frequency": "string",
  • "ltpac_billing_methodology": "string",
  • "number_of_ltpac_dispensing_events": 0,
  • "do_not_dispense_before_date": "string",
  • "ingredient_cost_submitted": "string",
  • "dispensing_fee_submitted": "string",
  • "patient_pay_amount_reported": "string",
  • "incentive_amount_submitted": "string",
  • "other_amount_claimed_submitted_qualifier_1": "string",
  • "other_amount_claimed_submitted_1": "string",
  • "other_amount_claimed_submitted_qualifier_2": "string",
  • "other_amount_claimed_submitted_2": "string",
  • "other_amount_claimed_submitted_qualifier_3": "string",
  • "other_amount_claimed_submitted_3": "string",
  • "regulatory_fee_type_code_submitted_1": "string",
  • "regulatory_fee_amount_submitted_1": "string",
  • "regulatory_fee_type_code_submitted_2": "string",
  • "regulatory_fee_amount_submitted_2": "string",
  • "regulatory_fee_type_code_submitted_3": "string",
  • "regulatory_fee_amount_submitted_3": "string",
  • "percentage_tax_amount_submitted": "string",
  • "percentage_tax_rate_submitted": "string",
  • "percentage_tax_basis_submitted": "string",
  • "usual_and_customary_charge": "string",
  • "gross_amount_due": "string",
  • "basis_of_cost_determination": "string",
  • "provider_id_qualifier": "string",
  • "provider_id": "string",
  • "provider_first_name": "string",
  • "provider_last_name": "string",
  • "prescriber_id_qualifier": "string",
  • "prescriber_id": "string",
  • "prescriber_last_name": "string",
  • "prescriber_telephone_number": "string",
  • "prescriber_telephone_number_extension": "string",
  • "primary_care_provider_id_qualifier": "string",
  • "primary_care_provider_id": "string",
  • "primary_care_provider_last_name": "string",
  • "prescriber_first_name": "string",
  • "prescriber_street_address": "string",
  • "prescriber_street_address_line_1": "string",
  • "prescriber_street_address_line_2": "string",
  • "prescriber_city_address": "string",
  • "prescriber_state_province_address": "string",
  • "prescriber_zip_postal_code": "string",
  • "prescriber_country_code": "string",
  • "prescriber_dea_number": "string",
  • "prescriber_place_of_service": "string",
  • "compound_prices": null,
  • "compound_dosage_form_description_code": "string",
  • "compound_dispensing_unit_form_indicator": "string",
  • "compound_ingredient_component_count": 0,
  • "compound_product_id_qualifier_1": "string",
  • "compound_product_id_1": "string",
  • "compound_ingredient_quantity_1": "string",
  • "compound_product_id_qualifier_2": "string",
  • "compound_product_id_2": "string",
  • "compound_ingredient_quantity_2": "string",
  • "compound_product_id_qualifier_3": "string",
  • "compound_product_id_3": "string",
  • "compound_ingredient_quantity_3": "string",
  • "compound_product_id_qualifier_4": "string",
  • "compound_product_id_4": "string",
  • "compound_ingredient_quantity_4": "string",
  • "compound_product_id_qualifier_5": "string",
  • "compound_product_id_5": "string",
  • "compound_ingredient_quantity_5": "string",
  • "compound_product_id_qualifier_6": "string",
  • "compound_product_id_6": "string",
  • "compound_ingredient_quantity_6": "string",
  • "compound_product_id_qualifier_7": "string",
  • "compound_product_id_7": "string",
  • "compound_ingredient_quantity_7": "string",
  • "compound_product_id_qualifier_8": "string",
  • "compound_product_id_8": "string",
  • "compound_ingredient_quantity_8": "string",
  • "compound_product_id_qualifier_9": "string",
  • "compound_product_id_9": "string",
  • "compound_ingredient_quantity_9": "string",
  • "compound_product_id_qualifier_10": "string",
  • "compound_product_id_10": "string",
  • "compound_ingredient_quantity_10": "string",
  • "compound_product_id_qualifier_11": "string",
  • "compound_product_id_11": "string",
  • "compound_ingredient_quantity_11": "string",
  • "compound_product_id_qualifier_12": "string",
  • "compound_product_id_12": "string",
  • "compound_ingredient_quantity_12": "string",
  • "compound_product_id_qualifier_13": "string",
  • "compound_product_id_13": "string",
  • "compound_ingredient_quantity_13": "string",
  • "compound_product_id_qualifier_14": "string",
  • "compound_product_id_14": "string",
  • "compound_ingredient_quantity_14": "string",
  • "compound_product_id_qualifier_15": "string",
  • "compound_product_id_15": "string",
  • "compound_ingredient_quantity_15": "string",
  • "compound_product_id_qualifier_16": "string",
  • "compound_product_id_16": "string",
  • "compound_ingredient_quantity_16": "string",
  • "compound_product_id_qualifier_17": "string",
  • "compound_product_id_17": "string",
  • "compound_ingredient_quantity_17": "string",
  • "compound_product_id_qualifier_18": "string",
  • "compound_product_id_18": "string",
  • "compound_ingredient_quantity_18": "string",
  • "compound_product_id_qualifier_19": "string",
  • "compound_product_id_19": "string",
  • "compound_ingredient_quantity_19": "string",
  • "compound_product_id_qualifier_20": "string",
  • "compound_product_id_20": "string",
  • "compound_ingredient_quantity_20": "string",
  • "compound_product_id_qualifier_21": "string",
  • "compound_product_id_21": "string",
  • "compound_ingredient_quantity_21": "string",
  • "compound_product_id_qualifier_22": "string",
  • "compound_product_id_22": "string",
  • "compound_ingredient_quantity_22": "string",
  • "compound_product_id_qualifier_23": "string",
  • "compound_product_id_23": "string",
  • "compound_ingredient_quantity_23": "string",
  • "compound_product_id_qualifier_24": "string",
  • "compound_product_id_24": "string",
  • "compound_ingredient_quantity_24": "string",
  • "compound_product_id_qualifier_25": "string",
  • "compound_product_id_25": "string",
  • "compound_ingredient_quantity_25": "string",
  • "diagnosis_code_qualifier_1": "string",
  • "diagnosis_code_1": "string",
  • "diagnosis_code_qualifier_2": "string",
  • "diagnosis_code_2": "string",
  • "diagnosis_code_qualifier_3": "string",
  • "diagnosis_code_3": "string",
  • "diagnosis_code_qualifier_4": "string",
  • "diagnosis_code_4": "string",
  • "diagnosis_code_qualifier_5": "string",
  • "diagnosis_code_5": "string",
  • "header_response_status": "string",
  • "response_transaction_code": "string",
  • "response_message": "string",
  • "response_group_id": "string",
  • "response_plan_id": "string",
  • "response_cob": null,
  • "network_reimbursement_id": "string",
  • "external_provider_agreement_id": "string",
  • "payer_health_plan_id_qualifier": "string",
  • "payer_health_plan_id": "string",
  • "payer_health_plan_id_qualifier_1": "string",
  • "payer_health_plan_id_1": "string",
  • "payer_health_plan_id_qualifier_2": "string",
  • "payer_health_plan_id_2": "string",
  • "payer_health_plan_id_qualifier_3": "string",
  • "payer_health_plan_id_3": "string",
  • "transaction_response_status": "string",
  • "authorization_number": "string",
  • "reconciliation_id": "string",
  • "reject_code_1": "string",
  • "reject_code_2": "string",
  • "reject_code_3": "string",
  • "reject_code_4": "string",
  • "reject_code_5": "string",
  • "approved_message_code_1": "string",
  • "approved_message_code_2": "string",
  • "approved_message_code_3": "string",
  • "approved_message_code_4": "string",
  • "approved_message_code_5": "string",
  • "additional_message_count": 0,
  • "additional_message_information_qualifier_1": "string",
  • "additional_message_information_1": "string",
  • "additional_message_information_continuity_1": "string",
  • "additional_message_information_qualifier_2": "string",
  • "additional_message_information_2": "string",
  • "additional_message_information_continuity_2": "string",
  • "additional_message_information_qualifier_3": "string",
  • "additional_message_information_3": "string",
  • "additional_message_information_continuity_3": "string",
  • "additional_message_information_qualifier_4": "string",
  • "additional_message_information_4": "string",
  • "additional_message_information_continuity_4": "string",
  • "additional_message_information_qualifier_5": "string",
  • "additional_message_information_5": "string",
  • "additional_message_information_continuity_5": "string",
  • "additional_message_information_qualifier_6": "string",
  • "additional_message_information_6": "string",
  • "additional_message_information_continuity_6": "string",
  • "additional_message_information_qualifier_7": "string",
  • "additional_message_information_7": "string",
  • "additional_message_information_continuity_7": "string",
  • "additional_message_information_qualifier_8": "string",
  • "additional_message_information_8": "string",
  • "additional_message_information_continuity_8": "string",
  • "additional_message_information_qualifier_9": "string",
  • "additional_message_information_9": "string",
  • "additional_message_information_continuity_9": "string",
  • "additional_message_information_qualifier_10": "string",
  • "additional_message_information_10": "string",
  • "additional_message_information_continuity_10": "string",
  • "additional_message_information_qualifier_11": "string",
  • "additional_message_information_11": "string",
  • "additional_message_information_continuity_11": "string",
  • "additional_message_information_qualifier_12": "string",
  • "additional_message_information_12": "string",
  • "additional_message_information_continuity_12": "string",
  • "additional_message_information_qualifier_13": "string",
  • "additional_message_information_13": "string",
  • "additional_message_information_continuity_13": "string",
  • "additional_message_information_qualifier_14": "string",
  • "additional_message_information_14": "string",
  • "additional_message_information_continuity_14": "string",
  • "additional_message_information_qualifier_15": "string",
  • "additional_message_information_15": "string",
  • "additional_message_information_continuity_15": "string",
  • "additional_message_information_qualifier_16": "string",
  • "additional_message_information_16": "string",
  • "additional_message_information_continuity_16": "string",
  • "additional_message_information_qualifier_17": "string",
  • "additional_message_information_17": "string",
  • "additional_message_information_continuity_17": "string",
  • "additional_message_information_qualifier_18": "string",
  • "additional_message_information_18": "string",
  • "additional_message_information_continuity_18": "string",
  • "additional_message_information_qualifier_19": "string",
  • "additional_message_information_19": "string",
  • "additional_message_information_continuity_19": "string",
  • "additional_message_information_qualifier_20": "string",
  • "additional_message_information_20": "string",
  • "additional_message_information_continuity_20": "string",
  • "internal_control_number": "string",
  • "adjudicated_program_type": "string",
  • "next_available_fill_date": "string",
  • "formulary_alternative_product_count": 0,
  • "formulary_alternative_plan_benefit_tier_1": "string",
  • "formulary_alternative_reason_code_1": "string",
  • "formulary_alternative_id_qualifier_1": "string",
  • "formulary_alternative_id_1": "string",
  • "formulary_alternative_incentive_1": "string",
  • "formulary_alternative_cost_share_incentive_1": "string",
  • "formulary_alternative_description_1": "string",
  • "formulary_alternative_plan_benefit_tier_2": "string",
  • "formulary_alternative_reason_code_2": "string",
  • "formulary_alternative_id_qualifier_2": "string",
  • "formulary_alternative_id_2": "string",
  • "formulary_alternative_incentive_2": "string",
  • "formulary_alternative_cost_share_incentive_2": "string",
  • "formulary_alternative_description_2": "string",
  • "formulary_alternative_plan_benefit_tier_3": "string",
  • "formulary_alternative_reason_code_3": "string",
  • "formulary_alternative_id_qualifier_3": "string",
  • "formulary_alternative_id_3": "string",
  • "formulary_alternative_incentive_3": "string",
  • "formulary_alternative_cost_share_incentive_3": 0,
  • "formulary_alternative_description_3": "string",
  • "plan_benefit_override_indicator": "string",
  • "plan_benefit_override_value_1": "string",
  • "plan_benefit_override_value_2": "string",
  • "plan_benefit_override_value_3": "string",
  • "plan_benefit_override_value_4": "string",
  • "plan_benefit_override_value_5": "string",
  • "plan_benefit_override_value_6": "string",
  • "plan_benefit_override_value_7": "string",
  • "plan_benefit_override_value_8": "string",
  • "plan_benefit_override_value_9": "string",
  • "maximum_age_qualifier": "string",
  • "maximum_age": 0,
  • "minimum_age_qualifier": "string",
  • "minimum_age": 0,
  • "minimum_amount_qualifier": "string",
  • "minimum_amount": "string",
  • "maximum_amount_qualifier": "string",
  • "maximum_amount": "string",
  • "maximum_amount_time_period": "string",
  • "maximum_amount_time_period_end_date": "string",
  • "maximum_amount_time_period_start_date": "string",
  • "maximum_amount_time_period_units": "string",
  • "remaining_amount_qualifier": "string",
  • "remaining_amount": "string",
  • "benefit_type_opportunity_count": 0,
  • "benefit_type_opportunity_1": "string",
  • "benefit_type_opportunity_2": "string",
  • "benefit_type_opportunity_3": "string",
  • "direct_member_reimbursement_indicator": "string",
  • "ingredient_cost_charged_to_plan": "string",
  • "dispensing_fee_charged_to_plan": "string",
  • "product_service_classification": "string",
  • "product_service_specialty_indication": "string",
  • "product_service_description": "string",
  • "mac_price_per_unit": "string",
  • "specialty_price_per_unit": "string",
  • "awp_per_unit": "string",
  • "total_awp": "string",
  • "wac_per_unit": "string",
  • "total_wac": "string",
  • "total_amount_paid": "string",
  • "patient_pay_amount": "string",
  • "patient_pay_component_qualifier_1": "string",
  • "patient_pay_component_amount_1": "string",
  • "patient_pay_component_qualifier_2": "string",
  • "patient_pay_component_amount_2": "string",
  • "patient_pay_component_qualifier_3": "string",
  • "patient_pay_component_amount_3": "string",
  • "plan_pay_amount": "string",
  • "amount_exceeding_periodic_deductible": "string",
  • "remaining_out_of_pocket_maximum_amount": "string",
  • "amount_exceeding_periodic_maximum_out_of_pocket": "string",
  • "remaining_category_out_of_pocket_maximum_amount_1": "string",
  • "amount_exceeding_periodic_maximum_category_out_of_pocket_1": "string",
  • "amount_applied_to_periodic_deductible": "string",
  • "amount_applied_to_periodic_overall_deductible": "string",
  • "amount_applied_to_periodic_category_deductible_1": "string",
  • "amount_applied_to_periodic_maximum_benefit": "string",
  • "amount_applied_to_periodic_maximum_out_of_pocket": "string",
  • "amount_applied_to_periodic_maximum_category_out_of_pocket_1": "string",
  • "amount_applied_to_periodic_maximum_fertility": "string",
  • "amount_exceeding_periodic_fertility_maximum": "string",
  • "amount_attributed_to_product_selection_brand_drug": "string",
  • "amount_attributed_to_percentage_tax": "string",
  • "amount_exceeding_periodic_benefit_maximum": "string",
  • "amount_applied_to_cob_plan_maximum": "string",
  • "remaining_cob_plan_maximum_amount": "string",
  • "amount_exceeding_cob_plan_maximum": "string",
  • "amount_of_coinsurance_exceeding_cob_plan_maximum": "string",
  • "amount_of_manufacturer_assistance": "string",
  • "anti_accumulation_indicator": "string",
  • "copay_maximizer_standard_benefit_patient_pay_amount": "string",
  • "amount_of_copay": "string",
  • "amount_of_coinsurance": "string",
  • "amount_attributed_to_product_selection_non_preferred": "string",
  • "amount_attributed_to_health_plan_assistance": "string",
  • "amount_attributed_to_provider_network_selection": "string",
  • "amount_attributed_to_product_selection_brand_non_preferred": "string",
  • "amount_attributed_to_coverage_gap": "string",
  • "amount_attributed_to_processor_fee": "string",
  • "amount_attributed_to_grace_period": "string",
  • "amount_attributed_to_catastrophic_benefit": "string",
  • "amount_attributed_to_regulatory_fee": "string",
  • "ingredient_cost_paid": "string",
  • "dispensing_fee_paid": "string",
  • "percentage_tax_exempt_indicator": "string",
  • "regulatory_fee_amount_paid": "string",
  • "regulatory_fee_type_code_1": "string",
  • "regulatory_fee_exempt_indicator_1": "string",
  • "regulatory_fee_amount_paid_1": "string",
  • "regulatory_fee_type_code_2": "string",
  • "regulatory_fee_exempt_indicator_2": "string",
  • "regulatory_fee_amount_paid_2": "string",
  • "regulatory_fee_type_code_3": "string",
  • "regulatory_fee_exempt_indicator_3": "string",
  • "regulatory_fee_amount_paid_3": "string",
  • "percentage_tax_amount_paid": "string",
  • "percentage_tax_rate_paid": "string",
  • "percentage_tax_basis_paid": "string",
  • "incentive_amount_paid": "string",
  • "professional_service_fee_paid": "string",
  • "other_amount_paid_qualifier_1": "string",
  • "other_amount_paid_1": 0,
  • "other_amount_paid_qualifier_2": "string",
  • "other_amount_paid_2": 0,
  • "other_amount_paid_qualifier_3": "string",
  • "other_amount_paid_3": 0,
  • "other_payer_amount_recognized": "string",
  • "basis_of_reimbursement_determination": "string",
  • "benefit_stage_qualifier_1": "string",
  • "benefit_stage_qualifier_2": "string",
  • "benefit_stage_qualifier_3": "string",
  • "benefit_stage_qualifier_4": "string",
  • "benefit_stage_amount_1": "string",
  • "benefit_stage_amount_2": "string",
  • "benefit_stage_amount_3": "string",
  • "benefit_stage_amount_4": "string",
  • "basis_of_calculation_dispensing_fee": "string",
  • "basis_of_calculation_copay": "string",
  • "basis_of_calculation_coinsurance": "string",
  • "basis_of_calculation_regulatory_fee": "string",
  • "basis_of_calculation_percentage_tax": "string",
  • "basis_of_days_supply_determination": "string",
  • "accumulated_deductible_amount": "string",
  • "remaining_deductible_amount": "string",
  • "remaining_benefit_amount": "string",
  • "spending_account_amount_remaining": "string",
  • "patient_percentage_tax_amount": "string",
  • "patient_regulatory_fee_amount": "string",
  • "estimated_generic_savings": "string",
  • "ingredient_cost_contracted_reimbursable_amount": "string",
  • "dispensing_fee_contracted_reimbursable_amount": "string",
  • "reason_for_service_code_1": "string",
  • "clinical_significance_code_1": "string",
  • "other_pharmacy_indicator_1": "string",
  • "previous_date_of_fill_1": "string",
  • "quantity_of_previous_fill_1": "string",
  • "database_indicator_1": "string",
  • "other_prescriber_indicator_1": "string",
  • "dur_free_text_message_1": "string",
  • "dur_additional_text_1": "string",
  • "reason_for_service_code_2": "string",
  • "clinical_significance_code_2": "string",
  • "other_pharmacy_indicator_2": "string",
  • "previous_date_of_fill_2": "string",
  • "quantity_of_previous_fill_2": "string",
  • "database_indicator_2": "string",
  • "other_prescriber_indicator_2": "string",
  • "dur_free_text_message_2": "string",
  • "dur_additional_text_2": "string",
  • "reason_for_service_code_3": "string",
  • "reason_for_service_code_4": "string",
  • "reason_for_service_code_5": "string",
  • "reason_for_service_code_6": "string",
  • "reason_for_service_code_7": "string",
  • "reason_for_service_code_8": "string",
  • "reason_for_service_code_9": "string",
  • "clinical_significance_code_3": "string",
  • "other_pharmacy_indicator_3": "string",
  • "previous_date_of_fill_3": "string",
  • "quantity_of_previous_fill_3": "string",
  • "database_indicator_3": "string",
  • "other_prescriber_indicator_3": "string",
  • "dur_free_text_message_3": "string",
  • "dur_additional_text_3": "string",
  • "dur_pps_level_of_effort_1": "string",
  • "dur_pps_level_of_effort_2": "string",
  • "dur_pps_level_of_effort_3": "string",
  • "dur_pps_level_of_effort_4": "string",
  • "dur_pps_level_of_effort_5": "string",
  • "dur_pps_level_of_effort_6": "string",
  • "dur_pps_level_of_effort_7": "string",
  • "dur_pps_level_of_effort_8": "string",
  • "dur_pps_level_of_effort_9": "string",
  • "aws_region": "string",
  • "log_group_name": "string",
  • "log_stream_name": "string",
  • "aws_request_id": "string",
  • "log_key": "string",
  • "raw_request": "string",
  • "raw_response": "string",
  • "raw_request_parsed": null,
  • "raw_response_parsed": null,
  • "relationship_code": "string",
  • "overrides": [
    ],
  • "prior_authorizations": [
    ],
  • "tags": [
    ],
  • "finance_835_record_id": 0,
  • "finished_at": "string",
  • "formulary_name": "string",
  • "formulary_tier": "string",
  • "nadac_per_unit": 0,
  • "nadac_plus_ndc": "string",
  • "nadac_plus_per_unit": 0,
  • "relationship_id": "string",
  • "ncpdp_relationship_id": "string",
  • "affiliation_relationship_id": "string",
  • "parent_organization_id": "string",
  • "remit_and_reconciliation_id": "string",
  • "payment_center_id": "string",
  • "rx_cap_flag": "string",
  • "rx_cap_plus_flag": "string",
  • "total_mac_list": 0,
  • "total_nadac": 0,
  • "total_nadac_plus": 0,
  • "total_specialty_list": 0,
  • "external_invoice_id": 0,
  • "pde_id": 0,
  • "pde_status": "string",
  • "pde_cms_calculated_gap_discount": 0,
  • "pde_plan_benefit_package_id_of_record": "string",
  • "pde_alternate_service_provider_id_qualifier": "string",
  • "pde_alternate_service_provider_id": "string",
  • "pde_original_submitting_contract": "string",
  • "pde_plan_to_plan_contract_of_record": "string",
  • "pde_corrected_medicare_beneficiary_identifier": "string",
  • "pde_error_count": 0,
  • "pde_error_1": "string",
  • "pde_error_2": "string",
  • "pde_error_3": "string",
  • "pde_error_4": "string",
  • "pde_error_5": "string",
  • "pde_error_6": "string",
  • "pde_error_7": "string",
  • "pde_error_8": "string",
  • "pde_error_9": "string",
  • "pde_error_10": "string",
  • "pde_exclusion_reason_code": "string",
  • "pde_adjustment_deletion_code": "string",
  • "programs": [
    ],
  • "plan_additional_covered_amount": 0,
  • "nsde_drug_application_type": "string",
  • "drug_application_type": "string",
  • "non_standard_format_code": "string",
  • "drug_status_code": "string",
  • "part_b": "string",
  • "part_d": "string",
  • "contract_number": "string",
  • "plan_benefit_package_id": "string",
  • "clinical_rules": [
    ],
  • "pharmacy_quality_alliance": [
    ],
  • "formulary_attributes": { },
  • "callback_overrides": [
    ],
  • "performance": { },
  • "adjustments": [
    ],
  • "plan_type": "string",
  • "medicare_beneficiary_identifier": "string",
  • "gross_covered_drug_cost_before_adjudication": "string",
  • "reported_gap_discount": "string",
  • "beginning_benefit_phase": "string",
  • "ending_benefit_phase": "string",
  • "formulary_code": "string",
  • "true_out_of_pocket_before_adjudication": "string",
  • "gross_drug_cost_above": "string",
  • "gross_drug_cost_below": "string",
  • "total_claim_covered_plan_pay": "string",
  • "total_claim_non_covered_plan_pay": "string",
  • "amount_applied_to_low_income_subsidy": "string",
  • "amount_applied_to_low_income_subsidy_deductible": "string",
  • "amount_applied_to_part_b_deductible": "string",
  • "amount_applied_to_part_b_maximum_out_of_pocket": "string",
  • "adjustment_reason_code": "string",
  • "adjustment_reason_code_qualifier": "string",
  • "estimated_rebate_at_point_of_service": "string",
  • "other_true_out_of_pocket_amount": "string",
  • "part_d_model_indicator": "string",
  • "pricing_exception_code": "string",
  • "pricing_custom_id": 0,
  • "patient_liability_reduction_due_to_other_payer_amount": "string",
  • "patient_liability_reduction_due_to_the_employer_amount": "string",
  • "accumulated_category_deductible_1_amount": "string",
  • "accumulations_applied": null,
  • "alternate_benefit_cost_share": null,
  • "amount_applied_to_deductible_phase": "string",
  • "amount_applied_to_gross_covered_drug_cost": "string",
  • "amount_applied_to_initial_coverage_phase": "string",
  • "amount_applied_to_true_out_of_pocket": "string",
  • "accumulated_deductible_phase_amount": "string",
  • "accumulated_gross_covered_drug_cost_amount": "string",
  • "accumulated_true_out_of_pocket_amount": "string",
  • "accumulated_part_b_deductible_amount": "string",
  • "accumulated_part_b_maximum_out_of_pocket_amount": "string",
  • "accumulated_part_b_deductible_out_of_network_amount": "string",
  • "accumulated_part_b_out_of_pocket_out_of_network": "string",
  • "amount_applied_to_part_b_deductible_out_of_network": "string",
  • "amount_applied_to_part_b_out_of_pocket_out_of_network": "string",
  • "amount_exceeding_periodic_category_deductible_1": 0,
  • "amount_exceeding_periodic_overall_deductible": "string",
  • "birth_date": "string",
  • "coordination_of_benefits_other_payments_count": 0,
  • "dispensing_fee_charged_level_1": "string",
  • "dispensing_fee_charged_level_2": "string",
  • "dispensing_fee_charged_level_3": "string",
  • "ingredient_cost_charged_level_1": "string",
  • "ingredient_cost_charged_level_2": "string",
  • "ingredient_cost_charged_level_3": "string",
  • "mac_list_dispensing_fee": "string",
  • "pricing_category_mac_list_unit_price_adjustment_percentage": 0,
  • "mac_list_id": 0,
  • "mac_list_name": "string",
  • "other_payer_amount_paid_1": "string",
  • "other_payer_amount_paid_2": "string",
  • "other_payer_amount_paid_3": "string",
  • "other_payer_amount_paid_4": "string",
  • "other_payer_amount_paid_5": "string",
  • "other_payer_amount_paid_6": "string",
  • "other_payer_amount_paid_7": "string",
  • "other_payer_amount_paid_8": "string",
  • "other_payer_amount_paid_9": "string",
  • "other_payer_amount_paid_count": 0,
  • "other_payer_amount_paid_qualifier_1": "string",
  • "other_payer_amount_paid_qualifier_2": "string",
  • "other_payer_amount_paid_qualifier_3": "string",
  • "other_payer_amount_paid_qualifier_4": "string",
  • "other_payer_amount_paid_qualifier_5": "string",
  • "other_payer_amount_paid_qualifier_6": "string",
  • "other_payer_amount_paid_qualifier_7": "string",
  • "other_payer_amount_paid_qualifier_8": "string",
  • "other_payer_amount_paid_qualifier_9": "string",
  • "other_payer_coverage_type_1": "string",
  • "other_payer_coverage_type_2": "string",
  • "other_payer_coverage_type_3": "string",
  • "other_payer_coverage_type_4": "string",
  • "other_payer_coverage_type_5": "string",
  • "other_payer_coverage_type_6": "string",
  • "other_payer_coverage_type_7": "string",
  • "other_payer_coverage_type_8": "string",
  • "other_payer_coverage_type_9": "string",
  • "other_payer_id_1": "string",
  • "other_payer_id_2": "string",
  • "other_payer_id_3": "string",
  • "other_payer_id_4": "string",
  • "other_payer_id_5": "string",
  • "other_payer_id_6": "string",
  • "other_payer_id_7": "string",
  • "other_payer_id_8": "string",
  • "other_payer_id_9": "string",
  • "other_payer_id_qualifier_1": "string",
  • "other_payer_id_qualifier_2": "string",
  • "other_payer_id_qualifier_3": "string",
  • "other_payer_id_qualifier_4": "string",
  • "other_payer_id_qualifier_5": "string",
  • "other_payer_id_qualifier_6": "string",
  • "other_payer_id_qualifier_7": "string",
  • "other_payer_id_qualifier_8": "string",
  • "other_payer_id_qualifier_9": "string",
  • "other_payer_patient_responsibility_amount_1": "string",
  • "other_payer_patient_responsibility_amount_2": "string",
  • "other_payer_patient_responsibility_amount_3": "string",
  • "other_payer_patient_responsibility_amount_4": "string",
  • "other_payer_patient_responsibility_amount_5": "string",
  • "other_payer_patient_responsibility_amount_6": "string",
  • "other_payer_patient_responsibility_amount_7": "string",
  • "other_payer_patient_responsibility_amount_8": "string",
  • "other_payer_patient_responsibility_amount_9": "string",
  • "other_payer_patient_responsibility_amount_count": 0,
  • "other_payer_patient_responsibility_amount_qualifier_1": "string",
  • "other_payer_patient_responsibility_amount_qualifier_2": "string",
  • "other_payer_patient_responsibility_amount_qualifier_3": "string",
  • "other_payer_patient_responsibility_amount_qualifier_4": "string",
  • "other_payer_patient_responsibility_amount_qualifier_5": "string",
  • "other_payer_patient_responsibility_amount_qualifier_6": "string",
  • "other_payer_patient_responsibility_amount_qualifier_7": "string",
  • "other_payer_patient_responsibility_amount_qualifier_8": "string",
  • "other_payer_patient_responsibility_amount_qualifier_9": "string",
  • "other_payer_reject_code_1": "string",
  • "other_payer_reject_code_2": "string",
  • "other_payer_reject_code_3": "string",
  • "other_payer_reject_code_4": "string",
  • "other_payer_reject_code_5": "string",
  • "other_payer_reject_count": 0,
  • "pay_amount_level_1": "string",
  • "pay_amount_level_2": "string",
  • "pay_amount_level_3": "string",
  • "prescriber_npi": "string",
  • "professional_service_code_1": "string",
  • "professional_service_code_2": "string",
  • "professional_service_code_3": "string",
  • "professional_service_code_4": "string",
  • "professional_service_code_5": "string",
  • "professional_service_code_6": "string",
  • "professional_service_code_7": "string",
  • "professional_service_code_8": "string",
  • "professional_service_code_9": "string",
  • "remaining_category_deductible_1_amount": "string",
  • "remaining_overall_deductible_amount": "string",
  • "request_reason_for_service_code_1": "string",
  • "request_reason_for_service_code_2": "string",
  • "request_reason_for_service_code_3": "string",
  • "request_reason_for_service_code_4": "string",
  • "request_reason_for_service_code_5": "string",
  • "request_reason_for_service_code_6": "string",
  • "request_reason_for_service_code_7": "string",
  • "request_reason_for_service_code_8": "string",
  • "request_reason_for_service_code_9": "string",
  • "result_of_service_code_1": "string",
  • "result_of_service_code_2": "string",
  • "result_of_service_code_3": "string",
  • "result_of_service_code_4": "string",
  • "result_of_service_code_5": "string",
  • "result_of_service_code_6": "string",
  • "result_of_service_code_7": "string",
  • "result_of_service_code_8": "string",
  • "result_of_service_code_9": "string",
  • "specialty_list_dispensing_fee": "string",
  • "specialty_list_id": 0,
  • "specialty_list_name": "string",
  • "dmr_pay_to_city_address": "string",
  • "dmr_pay_to_country_code": "string",
  • "dmr_pay_to_name": "string",
  • "dmr_pay_to_state_province_address": "string",
  • "dmr_pay_to_street_address_line_1": "string",
  • "dmr_pay_to_street_address_line_2": "string",
  • "dmr_pay_to_tax_id": "string",
  • "dmr_pay_to_vendor_id": "string",
  • "dmr_pay_to_zip_postal_code": "string",
  • "dmr_pay_to_check_eft_number": "string",
  • "dmr_pay_to_date": "string",
  • "tax_id_number": "string",
  • "reasons_for_rejection": [
    ],
  • "reasons_for_adjudication": [
    ],
  • "reasons_for_adjudication_sections": null,
  • "patient_pay_reduction_due_to_point_of_service_rebate": 0,
  • "plan_pay_reduction_due_to_point_of_service_rebate": 0,
  • "point_of_service_rebate_amount": 0,
  • "low_income_subsidy_level": "string",
  • "senior_savings_model_cost_share_reduction_gap": 0,
  • "senior_savings_model_cost_share_reduction_non_gap": 0,
  • "senior_savings_model_indicator": "string",
  • "inflation_reduction_act_subsidy_amount": 0,
  • "inflation_reduction_act_covered_vaccine": "string",
  • "inflation_reduction_act_covered_insulin": "string",
  • "other_true_out_of_pocket_amount_indicator": "string",
  • "medicare_amounts_id": 0,
  • "low_income_subsidy_amounts_id": 0,
  • "medicare_medicaid_dsnp_co_administered_plan": "string",
  • "dsnp_fee_for_service_or_capitation": 0,
  • "dsnp_medicaid_cost_share_reduction_amount_part_d": 0,
  • "dsnp_medicaid_cost_share_reduction_amount_part_b": 0,
  • "dsnp_medicaid_cost_share_covered_excluded_reduction_amount": 0,
  • "is_340b": true,
  • "medicare_administrative_claim": "string",
  • "controlled_substance_code": "string",
  • "desi_code": "string",
  • "batch_test_claims_file_id": 0,
  • "reprocessing_id": 0,
  • "reprocessing_type": "string",
  • "reprocessing_patient_pay_difference": "string",
  • "reprocessing_pharmacy_pay_amount": "string",
  • "reprocessing_plan_pay_amount": "string",
  • "reprocessing_goes_to_835": true,
  • "reprocessing_goes_to_invoice": true,
  • "reprocessing_is_member_recoupment": true,
  • "nx_other_payers_total_amount": "string",
  • "reprocessing_nx_amount_applied_to_patient_pay": "string",
  • "reprocessing_excess_nx_amount_total": "string",
  • "reprocessing_patient_pay_net_nx": "string",
  • "reprocessing_member_refund_amount": "string",
  • "reprocessing_member_recoupment_amount": "string",
  • "reprocessing_is_recoup_ltc_pharmacy": true,
  • "notes": "string",
  • "first_claim_id": 0,
  • "next_claim_id": 0,
  • "include_raw_request_parsed": true,
  • "include_raw_response_parsed": true,
  • "manufacturer_discount_amount": 0,
  • "is_manufacturer_discount_drug": true,
  • "is_maximum_fair_price_selected_drug": true,
  • "maximum_fair_price_ndc_11_package_price": 0,
  • "maximum_fair_price_ndc_9_unit_price": 0,
  • "maximum_fair_price_selected_drug_subsidy": 0,
  • "maximum_fair_price_thiry_day_equivalent": 0,
  • "claim_number": "string",
  • "claim_sequence_number": "string",
  • "medicare_prescription_payment_plan_indicator": "string",
  • "medicare_prescription_payment_plan_original_claim_id": 0,
  • "pharmacy_transaction_fee": 0,
  • "vbid_cost_share_reduction_amount_part_d": 0,
  • "vbid_model_indicator": "string",
  • "pricing_level_ids": [
    ],
  • "is_parallel_validation": true,
  • "calculated_spread_data": null,
  • "level_1_basis_of_reimbursement": "string",
  • "level_2_basis_of_reimbursement": "string",
  • "level_3_basis_of_reimbursement": "string",
  • "primary_plan_original_claim_id": 0,
  • "is_wrap_benefit": true,
  • "column_masks": null,
  • "global_management_program_ids": [
    ],
  • "originator": "string",
  • "benefit_categories": [
    ],
  • "drug_lists": null,
  • "brand_name_code": "string",
  • "drug_descriptor_id": "string",
  • "dosage": "string",
  • "dosage_form": "string",
  • "dosage_form_packaging": "string",
  • "drug_name": "string",
  • "drug_type": "string",
  • "group_name": "string",
  • "provider_phone": "string",
  • "most_expensive_compound_ingredient_ndc": "string",
  • "multi_source": "string",
  • "name_type_code": "string",
  • "rx_otc_indicator_code": "string",
  • "strength": "string",
  • "strength_unit_of_measure": "string",
  • "pde_record_id": "string",
  • "pde_claim_control_number": "string",
  • "pde_plan_benefit_package_id": "string",
  • "medicare_prescription_payment_plan_claim_id": 0,
  • "medicare_prescription_payment_plan_claim_amount": 0,
  • "claim_gpi": "string",
  • "identity": "string",
  • "over_reimbursement_indicator": true,
  • "accumulation_adjustment_ids": [
    ]
}

/claim/get_logs

Request Body schema: application/json
id
required
integer <int32>
log_key
string or null

Responses

Request samples

Content type
application/json
{
  • "id": 0,
  • "log_key": "string"
}

Response samples

Content type
application/json
{
  • "url": "string"
}

/claim/get/claim_number

Request Body schema: application/json
claim_number
required
string or null

Unique number generated when claim is submitted for given clientid, external_member_id , person_code, date_of_service, service_provider_id, prescription_service_reference_number and fill_number

claim_sequence_number
required
string or null

Sequence number assigned for a given claim_number and the operation resulting in claim with paid or rejected status

Responses

Request samples

Content type
application/json
{
  • "claim_number": "string",
  • "claim_sequence_number": "string"
}

Response samples

Content type
application/json
{
  • "id": 0,
  • "rn": "string",
  • "reversal_id": 0,
  • "reverses_id": 0,
  • "original_claim_id": 0,
  • "client_id": "string",
  • "external_account_id": "string",
  • "external_group_id": "string",
  • "provider_agreement_id": 0,
  • "coverage_strategy_id": "string",
  • "date_of_service": "string",
  • "claim_submission_date": "string",
  • "claim_payment_cycle_end_date": "string",
  • "claim_reimbursement_cycle_end_date": "string",
  • "claim_status": "string",
  • "claim_count": 0,
  • "received_at": "string",
  • "source": "string",
  • "external_member_id": "string",
  • "person_code": "string",
  • "first_name": "string",
  • "last_name": "string",
  • "coverage_strategy_type": "string",
  • "plan_benefit_id": 0,
  • "formulary_id": 0,
  • "network_id": 0,
  • "benefit_network": "string",
  • "gpi": "string",
  • "pharmacy_nabp": "string",
  • "pharmacy_name": "string",
  • "pharmacy_channel": "string",
  • "version_release_number": "string",
  • "request_transaction_code": "string",
  • "bin_number": "string",
  • "processor_control_number": "string",
  • "transaction_count": "string",
  • "service_provider_id_qualifier": "string",
  • "service_provider_id": "string",
  • "software_vendor_certification_id": "string",
  • "submitted_cardholder_id": "string",
  • "cardholder_first_name": "string",
  • "cardholder_last_name": "string",
  • "plan_id": "string",
  • "eligibility_clarification_code": "string",
  • "group_id": "string",
  • "submitted_person_code": "string",
  • "patient_relationship_code": "string",
  • "medigap_id": "string",
  • "medicaid_indicator": "string",
  • "provider_accept_assignment_indicator": "string",
  • "cms_part_d_defined_qualified_facility": "string",
  • "medicaid_id_number": "string",
  • "patient_id_qualifier": "string",
  • "patient_id": "string",
  • "date_of_birth": "string",
  • "patient_gender_code": "string",
  • "patient_first_name": "string",
  • "patient_last_name": "string",
  • "patient_street_address": "string",
  • "patient_street_address_line_1": "string",
  • "patient_street_address_line_2": "string",
  • "patient_city_address": "string",
  • "patient_state_province_address": "string",
  • "patient_zip_postal_code": "string",
  • "patient_country_code": "string",
  • "patient_telephone_number": "string",
  • "place_of_service": "string",
  • "employer_id": "string",
  • "pregnancy_indicator": "string",
  • "patient_email_address": "user@example.com",
  • "patient_residence": "string",
  • "prescription_service_reference_number_qualifier": "string",
  • "prescription_service_reference_number": "string",
  • "product_service_id_qualifier": "string",
  • "ndc": "string",
  • "associated_prescription_service_reference_number": "string",
  • "associated_prescription_service_date": "string",
  • "procedure_modifier_code_1": "string",
  • "procedure_modifier_code_2": "string",
  • "procedure_modifier_code_3": "string",
  • "procedure_modifier_code_4": "string",
  • "procedure_modifier_code_5": "string",
  • "procedure_modifier_code_6": "string",
  • "procedure_modifier_code_7": "string",
  • "procedure_modifier_code_8": "string",
  • "procedure_modifier_code_9": "string",
  • "procedure_modifier_code_10": "string",
  • "quantity_dispensed": "string",
  • "fill_number": 0,
  • "days_supply": 0,
  • "compound_code": "string",
  • "daw": "string",
  • "date_prescription_written": "string",
  • "number_of_refills_authorized": 0,
  • "prescription_origin_code": "string",
  • "submission_clarification_code_1": "string",
  • "submission_clarification_code_2": "string",
  • "submission_clarification_code_3": "string",
  • "submission_clarification_code_4": "string",
  • "submission_clarification_code_5": "string",
  • "submission_clarification_code_pde": "string",
  • "submission_type_code_1": "string",
  • "submission_type_code_2": "string",
  • "submission_type_code_3": "string",
  • "submission_type_code_4": "string",
  • "submission_type_code_5": "string",
  • "quantity_prescribed": "string",
  • "multiple_prescription_service_order_group_id": "string",
  • "multiple_prescription_service_order_group_reason_code": "string",
  • "total_prescribed_quantity_remaining": "string",
  • "other_coverage_code": "string",
  • "special_packaging_indicator": "string",
  • "originally_prescribed_product_service_id_qualifier": "string",
  • "originally_prescribed_product_service_code": "string",
  • "originally_prescribed_quantity": "string",
  • "scheduled_prescription_id_number": "string",
  • "unit_of_measure": "string",
  • "level_of_service": "string",
  • "prior_authorization_type_code": "string",
  • "prior_authorization_id_submitted": "string",
  • "dispensing_status": "string",
  • "quantity_intended_to_be_dispensed": "string",
  • "days_supply_intended_to_be_dispensed": 0,
  • "delay_reason_code": "string",
  • "patient_assignment_indicator": "string",
  • "route_of_administration": "string",
  • "compound_type": "string",
  • "preparation_environment_type": "string",
  • "preparation_environment_event_code": "string",
  • "pharmacy_service_type": "string",
  • "associated_prescription_service_reference_number_qualifier": "string",
  • "associated_prescription_service_fill_number": 0,
  • "original_manufacturer_product_id_qualifier": "string",
  • "original_manufacturer_product_id": "string",
  • "ltpac_dispense_frequency": "string",
  • "ltpac_billing_methodology": "string",
  • "number_of_ltpac_dispensing_events": 0,
  • "do_not_dispense_before_date": "string",
  • "ingredient_cost_submitted": "string",
  • "dispensing_fee_submitted": "string",
  • "patient_pay_amount_reported": "string",
  • "incentive_amount_submitted": "string",
  • "other_amount_claimed_submitted_qualifier_1": "string",
  • "other_amount_claimed_submitted_1": "string",
  • "other_amount_claimed_submitted_qualifier_2": "string",
  • "other_amount_claimed_submitted_2": "string",
  • "other_amount_claimed_submitted_qualifier_3": "string",
  • "other_amount_claimed_submitted_3": "string",
  • "regulatory_fee_type_code_submitted_1": "string",
  • "regulatory_fee_amount_submitted_1": "string",
  • "regulatory_fee_type_code_submitted_2": "string",
  • "regulatory_fee_amount_submitted_2": "string",
  • "regulatory_fee_type_code_submitted_3": "string",
  • "regulatory_fee_amount_submitted_3": "string",
  • "percentage_tax_amount_submitted": "string",
  • "percentage_tax_rate_submitted": "string",
  • "percentage_tax_basis_submitted": "string",
  • "usual_and_customary_charge": "string",
  • "gross_amount_due": "string",
  • "basis_of_cost_determination": "string",
  • "provider_id_qualifier": "string",
  • "provider_id": "string",
  • "provider_first_name": "string",
  • "provider_last_name": "string",
  • "prescriber_id_qualifier": "string",
  • "prescriber_id": "string",
  • "prescriber_last_name": "string",
  • "prescriber_telephone_number": "string",
  • "prescriber_telephone_number_extension": "string",
  • "primary_care_provider_id_qualifier": "string",
  • "primary_care_provider_id": "string",
  • "primary_care_provider_last_name": "string",
  • "prescriber_first_name": "string",
  • "prescriber_street_address": "string",
  • "prescriber_street_address_line_1": "string",
  • "prescriber_street_address_line_2": "string",
  • "prescriber_city_address": "string",
  • "prescriber_state_province_address": "string",
  • "prescriber_zip_postal_code": "string",
  • "prescriber_country_code": "string",
  • "prescriber_dea_number": "string",
  • "prescriber_place_of_service": "string",
  • "compound_prices": null,
  • "compound_dosage_form_description_code": "string",
  • "compound_dispensing_unit_form_indicator": "string",
  • "compound_ingredient_component_count": 0,
  • "compound_product_id_qualifier_1": "string",
  • "compound_product_id_1": "string",
  • "compound_ingredient_quantity_1": "string",
  • "compound_product_id_qualifier_2": "string",
  • "compound_product_id_2": "string",
  • "compound_ingredient_quantity_2": "string",
  • "compound_product_id_qualifier_3": "string",
  • "compound_product_id_3": "string",
  • "compound_ingredient_quantity_3": "string",
  • "compound_product_id_qualifier_4": "string",
  • "compound_product_id_4": "string",
  • "compound_ingredient_quantity_4": "string",
  • "compound_product_id_qualifier_5": "string",
  • "compound_product_id_5": "string",
  • "compound_ingredient_quantity_5": "string",
  • "compound_product_id_qualifier_6": "string",
  • "compound_product_id_6": "string",
  • "compound_ingredient_quantity_6": "string",
  • "compound_product_id_qualifier_7": "string",
  • "compound_product_id_7": "string",
  • "compound_ingredient_quantity_7": "string",
  • "compound_product_id_qualifier_8": "string",
  • "compound_product_id_8": "string",
  • "compound_ingredient_quantity_8": "string",
  • "compound_product_id_qualifier_9": "string",
  • "compound_product_id_9": "string",
  • "compound_ingredient_quantity_9": "string",
  • "compound_product_id_qualifier_10": "string",
  • "compound_product_id_10": "string",
  • "compound_ingredient_quantity_10": "string",
  • "compound_product_id_qualifier_11": "string",
  • "compound_product_id_11": "string",
  • "compound_ingredient_quantity_11": "string",
  • "compound_product_id_qualifier_12": "string",
  • "compound_product_id_12": "string",
  • "compound_ingredient_quantity_12": "string",
  • "compound_product_id_qualifier_13": "string",
  • "compound_product_id_13": "string",
  • "compound_ingredient_quantity_13": "string",
  • "compound_product_id_qualifier_14": "string",
  • "compound_product_id_14": "string",
  • "compound_ingredient_quantity_14": "string",
  • "compound_product_id_qualifier_15": "string",
  • "compound_product_id_15": "string",
  • "compound_ingredient_quantity_15": "string",
  • "compound_product_id_qualifier_16": "string",
  • "compound_product_id_16": "string",
  • "compound_ingredient_quantity_16": "string",
  • "compound_product_id_qualifier_17": "string",
  • "compound_product_id_17": "string",
  • "compound_ingredient_quantity_17": "string",
  • "compound_product_id_qualifier_18": "string",
  • "compound_product_id_18": "string",
  • "compound_ingredient_quantity_18": "string",
  • "compound_product_id_qualifier_19": "string",
  • "compound_product_id_19": "string",
  • "compound_ingredient_quantity_19": "string",
  • "compound_product_id_qualifier_20": "string",
  • "compound_product_id_20": "string",
  • "compound_ingredient_quantity_20": "string",
  • "compound_product_id_qualifier_21": "string",
  • "compound_product_id_21": "string",
  • "compound_ingredient_quantity_21": "string",
  • "compound_product_id_qualifier_22": "string",
  • "compound_product_id_22": "string",
  • "compound_ingredient_quantity_22": "string",
  • "compound_product_id_qualifier_23": "string",
  • "compound_product_id_23": "string",
  • "compound_ingredient_quantity_23": "string",
  • "compound_product_id_qualifier_24": "string",
  • "compound_product_id_24": "string",
  • "compound_ingredient_quantity_24": "string",
  • "compound_product_id_qualifier_25": "string",
  • "compound_product_id_25": "string",
  • "compound_ingredient_quantity_25": "string",
  • "diagnosis_code_qualifier_1": "string",
  • "diagnosis_code_1": "string",
  • "diagnosis_code_qualifier_2": "string",
  • "diagnosis_code_2": "string",
  • "diagnosis_code_qualifier_3": "string",
  • "diagnosis_code_3": "string",
  • "diagnosis_code_qualifier_4": "string",
  • "diagnosis_code_4": "string",
  • "diagnosis_code_qualifier_5": "string",
  • "diagnosis_code_5": "string",
  • "header_response_status": "string",
  • "response_transaction_code": "string",
  • "response_message": "string",
  • "response_group_id": "string",
  • "response_plan_id": "string",
  • "response_cob": null,
  • "network_reimbursement_id": "string",
  • "external_provider_agreement_id": "string",
  • "payer_health_plan_id_qualifier": "string",
  • "payer_health_plan_id": "string",
  • "payer_health_plan_id_qualifier_1": "string",
  • "payer_health_plan_id_1": "string",
  • "payer_health_plan_id_qualifier_2": "string",
  • "payer_health_plan_id_2": "string",
  • "payer_health_plan_id_qualifier_3": "string",
  • "payer_health_plan_id_3": "string",
  • "transaction_response_status": "string",
  • "authorization_number": "string",
  • "reconciliation_id": "string",
  • "reject_code_1": "string",
  • "reject_code_2": "string",
  • "reject_code_3": "string",
  • "reject_code_4": "string",
  • "reject_code_5": "string",
  • "approved_message_code_1": "string",
  • "approved_message_code_2": "string",
  • "approved_message_code_3": "string",
  • "approved_message_code_4": "string",
  • "approved_message_code_5": "string",
  • "additional_message_count": 0,
  • "additional_message_information_qualifier_1": "string",
  • "additional_message_information_1": "string",
  • "additional_message_information_continuity_1": "string",
  • "additional_message_information_qualifier_2": "string",
  • "additional_message_information_2": "string",
  • "additional_message_information_continuity_2": "string",
  • "additional_message_information_qualifier_3": "string",
  • "additional_message_information_3": "string",
  • "additional_message_information_continuity_3": "string",
  • "additional_message_information_qualifier_4": "string",
  • "additional_message_information_4": "string",
  • "additional_message_information_continuity_4": "string",
  • "additional_message_information_qualifier_5": "string",
  • "additional_message_information_5": "string",
  • "additional_message_information_continuity_5": "string",
  • "additional_message_information_qualifier_6": "string",
  • "additional_message_information_6": "string",
  • "additional_message_information_continuity_6": "string",
  • "additional_message_information_qualifier_7": "string",
  • "additional_message_information_7": "string",
  • "additional_message_information_continuity_7": "string",
  • "additional_message_information_qualifier_8": "string",
  • "additional_message_information_8": "string",
  • "additional_message_information_continuity_8": "string",
  • "additional_message_information_qualifier_9": "string",
  • "additional_message_information_9": "string",
  • "additional_message_information_continuity_9": "string",
  • "additional_message_information_qualifier_10": "string",
  • "additional_message_information_10": "string",
  • "additional_message_information_continuity_10": "string",
  • "additional_message_information_qualifier_11": "string",
  • "additional_message_information_11": "string",
  • "additional_message_information_continuity_11": "string",
  • "additional_message_information_qualifier_12": "string",
  • "additional_message_information_12": "string",
  • "additional_message_information_continuity_12": "string",
  • "additional_message_information_qualifier_13": "string",
  • "additional_message_information_13": "string",
  • "additional_message_information_continuity_13": "string",
  • "additional_message_information_qualifier_14": "string",
  • "additional_message_information_14": "string",
  • "additional_message_information_continuity_14": "string",
  • "additional_message_information_qualifier_15": "string",
  • "additional_message_information_15": "string",
  • "additional_message_information_continuity_15": "string",
  • "additional_message_information_qualifier_16": "string",
  • "additional_message_information_16": "string",
  • "additional_message_information_continuity_16": "string",
  • "additional_message_information_qualifier_17": "string",
  • "additional_message_information_17": "string",
  • "additional_message_information_continuity_17": "string",
  • "additional_message_information_qualifier_18": "string",
  • "additional_message_information_18": "string",
  • "additional_message_information_continuity_18": "string",
  • "additional_message_information_qualifier_19": "string",
  • "additional_message_information_19": "string",
  • "additional_message_information_continuity_19": "string",
  • "additional_message_information_qualifier_20": "string",
  • "additional_message_information_20": "string",
  • "additional_message_information_continuity_20": "string",
  • "internal_control_number": "string",
  • "adjudicated_program_type": "string",
  • "next_available_fill_date": "string",
  • "formulary_alternative_product_count": 0,
  • "formulary_alternative_plan_benefit_tier_1": "string",
  • "formulary_alternative_reason_code_1": "string",
  • "formulary_alternative_id_qualifier_1": "string",
  • "formulary_alternative_id_1": "string",
  • "formulary_alternative_incentive_1": "string",
  • "formulary_alternative_cost_share_incentive_1": "string",
  • "formulary_alternative_description_1": "string",
  • "formulary_alternative_plan_benefit_tier_2": "string",
  • "formulary_alternative_reason_code_2": "string",
  • "formulary_alternative_id_qualifier_2": "string",
  • "formulary_alternative_id_2": "string",
  • "formulary_alternative_incentive_2": "string",
  • "formulary_alternative_cost_share_incentive_2": "string",
  • "formulary_alternative_description_2": "string",
  • "formulary_alternative_plan_benefit_tier_3": "string",
  • "formulary_alternative_reason_code_3": "string",
  • "formulary_alternative_id_qualifier_3": "string",
  • "formulary_alternative_id_3": "string",
  • "formulary_alternative_incentive_3": "string",
  • "formulary_alternative_cost_share_incentive_3": 0,
  • "formulary_alternative_description_3": "string",
  • "plan_benefit_override_indicator": "string",
  • "plan_benefit_override_value_1": "string",
  • "plan_benefit_override_value_2": "string",
  • "plan_benefit_override_value_3": "string",
  • "plan_benefit_override_value_4": "string",
  • "plan_benefit_override_value_5": "string",
  • "plan_benefit_override_value_6": "string",
  • "plan_benefit_override_value_7": "string",
  • "plan_benefit_override_value_8": "string",
  • "plan_benefit_override_value_9": "string",
  • "maximum_age_qualifier": "string",
  • "maximum_age": 0,
  • "minimum_age_qualifier": "string",
  • "minimum_age": 0,
  • "minimum_amount_qualifier": "string",
  • "minimum_amount": "string",
  • "maximum_amount_qualifier": "string",
  • "maximum_amount": "string",
  • "maximum_amount_time_period": "string",
  • "maximum_amount_time_period_end_date": "string",
  • "maximum_amount_time_period_start_date": "string",
  • "maximum_amount_time_period_units": "string",
  • "remaining_amount_qualifier": "string",
  • "remaining_amount": "string",
  • "benefit_type_opportunity_count": 0,
  • "benefit_type_opportunity_1": "string",
  • "benefit_type_opportunity_2": "string",
  • "benefit_type_opportunity_3": "string",
  • "direct_member_reimbursement_indicator": "string",
  • "ingredient_cost_charged_to_plan": "string",
  • "dispensing_fee_charged_to_plan": "string",
  • "product_service_classification": "string",
  • "product_service_specialty_indication": "string",
  • "product_service_description": "string",
  • "mac_price_per_unit": "string",
  • "specialty_price_per_unit": "string",
  • "awp_per_unit": "string",
  • "total_awp": "string",
  • "wac_per_unit": "string",
  • "total_wac": "string",
  • "total_amount_paid": "string",
  • "patient_pay_amount": "string",
  • "patient_pay_component_qualifier_1": "string",
  • "patient_pay_component_amount_1": "string",
  • "patient_pay_component_qualifier_2": "string",
  • "patient_pay_component_amount_2": "string",
  • "patient_pay_component_qualifier_3": "string",
  • "patient_pay_component_amount_3": "string",
  • "plan_pay_amount": "string",
  • "amount_exceeding_periodic_deductible": "string",
  • "remaining_out_of_pocket_maximum_amount": "string",
  • "amount_exceeding_periodic_maximum_out_of_pocket": "string",
  • "remaining_category_out_of_pocket_maximum_amount_1": "string",
  • "amount_exceeding_periodic_maximum_category_out_of_pocket_1": "string",
  • "amount_applied_to_periodic_deductible": "string",
  • "amount_applied_to_periodic_overall_deductible": "string",
  • "amount_applied_to_periodic_category_deductible_1": "string",
  • "amount_applied_to_periodic_maximum_benefit": "string",
  • "amount_applied_to_periodic_maximum_out_of_pocket": "string",
  • "amount_applied_to_periodic_maximum_category_out_of_pocket_1": "string",
  • "amount_applied_to_periodic_maximum_fertility": "string",
  • "amount_exceeding_periodic_fertility_maximum": "string",
  • "amount_attributed_to_product_selection_brand_drug": "string",
  • "amount_attributed_to_percentage_tax": "string",
  • "amount_exceeding_periodic_benefit_maximum": "string",
  • "amount_applied_to_cob_plan_maximum": "string",
  • "remaining_cob_plan_maximum_amount": "string",
  • "amount_exceeding_cob_plan_maximum": "string",
  • "amount_of_coinsurance_exceeding_cob_plan_maximum": "string",
  • "amount_of_manufacturer_assistance": "string",
  • "anti_accumulation_indicator": "string",
  • "copay_maximizer_standard_benefit_patient_pay_amount": "string",
  • "amount_of_copay": "string",
  • "amount_of_coinsurance": "string",
  • "amount_attributed_to_product_selection_non_preferred": "string",
  • "amount_attributed_to_health_plan_assistance": "string",
  • "amount_attributed_to_provider_network_selection": "string",
  • "amount_attributed_to_product_selection_brand_non_preferred": "string",
  • "amount_attributed_to_coverage_gap": "string",
  • "amount_attributed_to_processor_fee": "string",
  • "amount_attributed_to_grace_period": "string",
  • "amount_attributed_to_catastrophic_benefit": "string",
  • "amount_attributed_to_regulatory_fee": "string",
  • "ingredient_cost_paid": "string",
  • "dispensing_fee_paid": "string",
  • "percentage_tax_exempt_indicator": "string",
  • "regulatory_fee_amount_paid": "string",
  • "regulatory_fee_type_code_1": "string",
  • "regulatory_fee_exempt_indicator_1": "string",
  • "regulatory_fee_amount_paid_1": "string",
  • "regulatory_fee_type_code_2": "string",
  • "regulatory_fee_exempt_indicator_2": "string",
  • "regulatory_fee_amount_paid_2": "string",
  • "regulatory_fee_type_code_3": "string",
  • "regulatory_fee_exempt_indicator_3": "string",
  • "regulatory_fee_amount_paid_3": "string",
  • "percentage_tax_amount_paid": "string",
  • "percentage_tax_rate_paid": "string",
  • "percentage_tax_basis_paid": "string",
  • "incentive_amount_paid": "string",
  • "professional_service_fee_paid": "string",
  • "other_amount_paid_qualifier_1": "string",
  • "other_amount_paid_1": 0,
  • "other_amount_paid_qualifier_2": "string",
  • "other_amount_paid_2": 0,
  • "other_amount_paid_qualifier_3": "string",
  • "other_amount_paid_3": 0,
  • "other_payer_amount_recognized": "string",
  • "basis_of_reimbursement_determination": "string",
  • "benefit_stage_qualifier_1": "string",
  • "benefit_stage_qualifier_2": "string",
  • "benefit_stage_qualifier_3": "string",
  • "benefit_stage_qualifier_4": "string",
  • "benefit_stage_amount_1": "string",
  • "benefit_stage_amount_2": "string",
  • "benefit_stage_amount_3": "string",
  • "benefit_stage_amount_4": "string",
  • "basis_of_calculation_dispensing_fee": "string",
  • "basis_of_calculation_copay": "string",
  • "basis_of_calculation_coinsurance": "string",
  • "basis_of_calculation_regulatory_fee": "string",
  • "basis_of_calculation_percentage_tax": "string",
  • "basis_of_days_supply_determination": "string",
  • "accumulated_deductible_amount": "string",
  • "remaining_deductible_amount": "string",
  • "remaining_benefit_amount": "string",
  • "spending_account_amount_remaining": "string",
  • "patient_percentage_tax_amount": "string",
  • "patient_regulatory_fee_amount": "string",
  • "estimated_generic_savings": "string",
  • "ingredient_cost_contracted_reimbursable_amount": "string",
  • "dispensing_fee_contracted_reimbursable_amount": "string",
  • "reason_for_service_code_1": "string",
  • "clinical_significance_code_1": "string",
  • "other_pharmacy_indicator_1": "string",
  • "previous_date_of_fill_1": "string",
  • "quantity_of_previous_fill_1": "string",
  • "database_indicator_1": "string",
  • "other_prescriber_indicator_1": "string",
  • "dur_free_text_message_1": "string",
  • "dur_additional_text_1": "string",
  • "reason_for_service_code_2": "string",
  • "clinical_significance_code_2": "string",
  • "other_pharmacy_indicator_2": "string",
  • "previous_date_of_fill_2": "string",
  • "quantity_of_previous_fill_2": "string",
  • "database_indicator_2": "string",
  • "other_prescriber_indicator_2": "string",
  • "dur_free_text_message_2": "string",
  • "dur_additional_text_2": "string",
  • "reason_for_service_code_3": "string",
  • "reason_for_service_code_4": "string",
  • "reason_for_service_code_5": "string",
  • "reason_for_service_code_6": "string",
  • "reason_for_service_code_7": "string",
  • "reason_for_service_code_8": "string",
  • "reason_for_service_code_9": "string",
  • "clinical_significance_code_3": "string",
  • "other_pharmacy_indicator_3": "string",
  • "previous_date_of_fill_3": "string",
  • "quantity_of_previous_fill_3": "string",
  • "database_indicator_3": "string",
  • "other_prescriber_indicator_3": "string",
[...]
